pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
CK_PKCS5_PBKD2_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Data Fields

CK_PKCS5_PBKDF2_SALT_SOURCE_TYPE | saltSource
CK_VOID_PTR | pSaltSourceData
CK_ULONG | ulSaltSourceDataLen
CK_ULONG | iterations
CK_PKCS5_PBKD2_PSEUDO_RANDOM_FUNCTION_TYPE | prf
CK_VOID_PTR | pPrfData
CK_ULONG | ulPrfDataLen
CK_UTF8CHAR_PTR | pPassword
CK_ULONG_PTR | ulPasswordLen

## Detailed Description

Definition at line 1409 of file pkcs11t.h.

## Field Documentation

CK_ULONG iterations

Definition at line 1413 of file pkcs11t.h.

CK_UTF8CHAR_PTR pPassword

Definition at line 1417 of file pkcs11t.h.

CK_VOID_PTR pPrfData

Definition at line 1415 of file pkcs11t.h.

CK_PKCS5_PBKD2_PSEUDO_RANDOM_FUNCTION_TYPE prf

Definition at line 1414 of file pkcs11t.h.

CK_VOID_PTR pSaltSourceData

Definition at line 1411 of file pkcs11t.h.

CK_PKCS5_PBKDF2_SALT_SOURCE_TYPE saltSource

Definition at line 1410 of file pkcs11t.h.

CK_ULONG_PTR ulPasswordLen

Definition at line 1418 of file pkcs11t.h.

CK_ULONG ulPrfDataLen

Definition at line 1416 of file pkcs11t.h.

CK_ULONG ulSaltSourceDataLen

Definition at line 1412 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- pkcs11t.h